Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1240001 - shiboken: FTBFS in rawhide (F23)
Summary: shiboken: FTBFS in rawhide (F23)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: shiboken
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1352326
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 21:23 UTC by Dennis Gilmore
Modified: 2016-08-24 11:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-24 11:16:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2015-07-05 21:23 UTC, Dennis Gilmore
no flags Details
root.log (deleted)
2015-07-05 21:23 UTC, Dennis Gilmore
no flags Details
state.log (deleted)
2015-07-05 21:23 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2015-07-05 21:23:36 UTC
Your package shiboken failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10153232

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 21:23:38 UTC
Created attachment 1048318 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 21:23:39 UTC
Created attachment 1048319 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 21:23:40 UTC
Created attachment 1048320 [details]
state.log

Comment 4 Jan Kurik 2015-07-15 13:24:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Felix Schwarz 2016-08-08 10:40:44 UTC
as mentioned in bug 1308126: having two "FTBFS in rawhide" bugs confuses me - feel free to revert if you don't like the change.

Comment 6 Felix Schwarz 2016-08-14 19:36:46 UTC
Should we still fix this for F23? I'm inclined to close this as "WONTFIX" and only fix the issue for F24 and later (or just F25+?).

In case we need an update of shiboken (very unlikely) we can always revert this.

Comment 7 Felix Schwarz 2016-08-24 11:16:59 UTC
I pushed a fix for shiboken to the F23 git branch (actually by accident). However F23 can now rebuild shiboken from source if necessary. However as F23 will be EOL in a few months and given that there are no bug reports from F23 users I won't actually do a real build (unless we have to).


Note You need to log in before you can comment on or make changes to this bug.